%[if publish]%
	<?php

	//%id% fix to avoid output corruption

	if (!isset($rc)) {

		define('RC_PLUGIN_FOLDER', (('%relativeDocRoot%' == '') ? './' : '%relativeDocRoot%') . 'rw_common/plugins/rapidcartpro');

		require(RC_PLUGIN_FOLDER . '/data/config.php');

		$rc = new RCController(FALSE);

	}

	if (!isset($rcProduct%id%)) {

		$rcProduct%id% = $rc->getStack('product', (object) array('showProduct' => '%id=showProduct%', 'productID' => '%id=productID%', 'part' => '%id=part%', 'onlySKU' => '%id=sku%'));

	}

	if (!isset($rcHeader)) {

		$rcHeader = $rcProduct%id%->header;

		echo $rcHeader;

	}

	if (!isset($rcMetadata)) {

		$rcMetadata = $rcProduct%id%->metadata;

		echo $rcMetadata;

	}


	echo $rcProduct%id%->page;

	?>
%[endif]%
%[if !publish]%
	%[if %("%id=part%" == "box")%]%
		<div class="uk-panel uk-panel-box">
			<div class="uk-panel-teaser">
				<img src="%relativeSiteAssetPath%/image.png">
			</div>
			<h3 class="uk-panel-title">
				%[if %("%id=showProduct%" == "random")%]%
					Random Product
				%[endif]%
				%[if %("%id=showProduct%" == "fixed")%]%
					Product #%id=productID%
				%[endif]%
			</h3>
			<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit.</p>
			<div class="uk-text-center">
				<button class="uk-button uk-button-primary"><i class="uk-icon-info-circle uk-margin-small-right"></i> View Product</button>
			</div>
		</div>
	%[endif]%
	%[if %("%id=part%" == "gallery")%]%
		<div class="uk-thumbnail-medium uk-container-center">
			<img src="%relativeSiteAssetPath%/image.png">
			<div class="uk-grid uk-grid-small uk-grid-width-1-5 uk-margin-top">
				<div><img src="%relativeSiteAssetPath%/image.png"></div>
				<div><img src="%relativeSiteAssetPath%/image.png"></div>
				<div><img src="%relativeSiteAssetPath%/image.png"></div>
				<div><img src="%relativeSiteAssetPath%/image.png"></div>
				<div><img src="%relativeSiteAssetPath%/image.png"></div>
			</div>
		</div>
	%[endif]%
	%[if %("%id=part%" == "versions")%]%
		%[if %("%id=sku%" == "")%]%
			<div class="uk-grid uk-grid-small uk-grid-width-1-2 uk-text-center">
				<div class="uk-container-center">
					<div class="uk-panel uk-panel-box uk-panel-hover">
						<h3 class="uk-panel-title uk-margin-bottom-remove">Red</h3>
						<div class="uk-text-small">ABC1234-RED</div>
						<div class="uk-text-bold">$25.00</div>
						<button class="uk-margin-top uk-button uk-button-large uk-button-success"><i class="uk-icon-shopping-basket uk-margin-small-right"></i> Add to Cart</button>
					</div>
				</div>
				<div class="uk-container-center">
					<div class="uk-panel uk-panel-box uk-panel-hover">
						<h3 class="uk-panel-title uk-margin-bottom-remove">Green</h3>
						<div class="uk-text-small">ABC1234-GREEN</div>
						<div class="uk-text-bold">$35.00</div>
						<button class="uk-margin-top uk-button uk-button-large uk-button-success"><i class="uk-icon-shopping-basket uk-margin-small-right"></i> Add to Cart</button>
					</div>
				</div>
			</div>
		%[else]%
			<div class="uk-grid uk-grid-small uk-text-center">
				<div class="uk-container-center">
					<div class="uk-panel uk-panel-box uk-panel-hover">
						<h3 class="uk-panel-title uk-margin-bottom-remove">Red</h3>
						<div class="uk-text-small">%id=sku%</div>
						<div class="uk-text-bold">$25.00</div>
						<button class="uk-margin-top uk-button uk-button-large uk-button-success"><i class="uk-icon-shopping-basket uk-margin-small-right"></i> Add to Cart</button>
					</div>
				</div>
			</div>
		%[endif]%
	%[endif]%
	%[if %("%id=part%" == "addtocart")%]%
		%[if %("%id=sku%" == "")%]%
			Please set a version SKU
		%[else]%
			<button class="uk-margin-top uk-button uk-button-large uk-button-success"><i class="uk-icon-shopping-basket uk-margin-small-right"></i> Add to Cart</button>
		%[endif]%
	%[endif]%
	%[if %("%id=part%" == "tags")%]%
		<button class="uk-button uk-button-mini"><i class="uk-icon-chevron-left"></i> Back</button>
		<button class="uk-button uk-button-mini uk-button-danger">New</button>
		<button class="uk-button uk-button-mini uk-button-danger">Spring</button>
		<button class="uk-button uk-button-mini uk-button-danger">Woman</button>
	%[endif]%
	%[if %("%id=part%" == "social")%]%
		<a class="uk-icon-button uk-icon-facebook" href="#"></a>
		<a class="uk-icon-button uk-icon-twitter" href="#"></a>
		<a class="uk-icon-button uk-icon-google-plus" href="#"></a>
		<a class="uk-icon-button uk-icon-pinterest" href="#"></a>
	%[endif]%
	%[if %("%id=part%" == "description")%]%
		<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut pellentesque, libero id semper convallis, nibh leo malesuada justo, a ultricies eros ante non nulla.</p>
		<p>Nulla ut ante in libero commodo pellentesque quis sit amet neque. Suspendisse sapien mi, pulvinar eget dui ut, accumsan aliquet nisl. Sed commodo ante eu magna lacinia euismod. Nunc congue augue porta dictum laoreet.</p>
		<ul>
			<li>Nullam tempus, urna sed rhoncus suscipit.</li>
			<li>Ex sem convallis massa, ut venenatis.</li>
			<li>Ligula purus at tellus.</li>
			<li>Etiam augue quam, tincidunt nec venenatis.</li>
			<li>Quis, dictum in eros.</li>
		</ul>
		<p>In mi mi, tincidunt eget tempor quis, dignissim non urna. Maecenas gravida lacus vel dignissim condimentum. Praesent sit amet interdum elit, quis pulvinar magna. Curabitur tempor, nisl vel dictum scelerisque, sem eros condimentum turpis, nec gravida mauris nunc in quam. Nullam aliquam turpis volutpat commodo faucibus.</p>
	%[endif]%
	%[if %("%id=part%" == "rating")%]%
		<i class="uk-icon-star" style="color:#ffc300;"></i>
		<i class="uk-icon-star" style="color:#ffc300;"></i>
		<i class="uk-icon-star" style="color:#ffc300;"></i>
		<i class="uk-icon-star" style="color:#999;"></i>
		<i class="uk-icon-star" style="color:#999;"></i>
	%[endif]%
%[endif]%